> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rocka.live/llms.txt
> Use this file to discover all available pages before exploring further.

# Check payout status



## OpenAPI

````yaml /api-reference/openapi.yaml get /api/payouts/{id}
openapi: 3.0.1
info:
  title: Rocka Payments
  version: 1.0.0
  description: ''
  contact:
    email: support@rocka.live
servers:
  - url: https://api.stage.rocka.live
    description: Sandbox
  - url: https://api.rocka.live
    description: Live
security: []
paths:
  /api/payouts/{id}:
    get:
      tags:
        - Payouts
      summary: Check payout status
      operationId: Payouts_Get
      parameters:
        - in: path
          name: id
          required: true
          description: Payout's unique ID.
          schema:
            nullable: false
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                title: Payout response
                properties:
                  id:
                    type: string
                    description: This payout's unique ID in Rocka's records.
                  amount:
                    format: decimal
                    type: number
                    description: Payout amount.
                  currency:
                    type: string
                    description: Payout currency.
                  requestId:
                    type: string
                    description: >-
                      The payout's unique identifier (to prevent duplicate
                      requests).
                  createdAt:
                    type: string
                    description: Date and time when the payout was registered by Rocka.
                  status:
                    description: ''
                    enum:
                      - Processing
                      - Executing
                      - Failed
                      - Done
                  iban:
                    type: string
                    description: Recipient's IBAN (International Bank Account Number).
                  beneficiaryName:
                    type: string
                    description: Recipient's full name.
                  beneficiaryRef:
                    type: string
                    description: >-
                      Bank reference, which appears on the beneficiary's bank
                      statement once the payout arrives.
                required:
                  - id
                  - amount
                  - currency
                  - createdAt
                  - status
                  - iban
                  - beneficiaryName
                  - beneficiaryRef
              examples:
                EUR payout:
                  value:
                    iban: DE75512108001245126199
                    beneficiaryName: Mark Schmidt
                    beneficiaryRef: BC83DF4B0A634 OU
                    id: e01186ef9a1442afb924a8ad60d24390
                    status: Executing
                    createdAt: '2026-05-08T11:26:10.455Z'
                    amount: 50
                    currency: EUR
                    requestId: payout1794
          description: ''
      security:
        - APIkey: []
components:
  securitySchemes:
    APIkey:
      description: >-
        To get your own API keys, go to the **Integration** tab in your [Rocka
        Hub](https://hub.rocka.live).
      in: header
      name: x-api-key
      type: apiKey

````